> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saletype

> List of sale types, with default sale duration in minutes in extra info.

## "saletype" MDO List

List of sale types, with default sale duration in minutes in extra info.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SaleTypeProvider">SaleTypeProvider</see> class.
The name of the MDO list is 'saletype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saletype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saletype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name         | StyleHint | ExtraInfo |
| -- | ------------ | --------- | --------- |
| 1  | General sale |           | 43200     |
| 2  | Guided Sale  |           | 44640     |
| 4  | Staged Sale  |           | 44640     |
| 3  | Stakeholders |           | 132480    |

## Related MDO Lists

* "saletypeheadings"
* "saletypeheadingswithallitem"
* "saletypeheadingswithallitemwithnoselection"
* "saletypeheadingswithnoselection"
* "saletypewithallitem"
* "saletypewithallitemwithnoselection"
* "saletypewithnoselection"


## Related topics

- [SaleType table](/en/database/tables/saletype.md)
- [SuperOffice.WebApi.Data.SaleType](/en/api/reference/webapi/SuperOffice.WebApi.Data.SaleType.md)
- [saletypecat](/en/api/mdo-providers/reference/saletypecat.md)
- [saletypecategories](/en/api/mdo-providers/reference/saletypecategories.md)
- [SaleTypeQuoteAttachment](/en/api/archive-providers/reference/saletypequoteattachment.md)
- [SaleTypeHeadingLink table](/en/database/tables/saletypeheadinglink.md)
